#-----------------------------------------------------------------------------
%bcond		tests		0
#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
%define		_builddir	%{_topdir}/BUILD_%(basename %{__python})
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	python3-betamax
Version		:	0.8.1
Release		:	17.2.0.rel%{?dist}
Summary		:	VCR imitation for python-requests

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	Apache
URL		:	https://pypi.org/project/betamax

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%(basename %{__python})
BuildRequires	:	python-build
BuildRequires	:	python-flit-core
BuildRequires	:	python-installer
BuildRequires	:	python3-setuptools
BuildRequires	:	python-wheel

%if %{with tests}
BuildRequires	:	python3-certifi
BuildRequires	:	python3-charset-normalizer
BuildRequires	:	python3-idna
BuildRequires	:	python3-pytest 
BuildRequires	:	python3-urllib3 
%endif

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
Betamax is a VCR_ imitation for requests. This
will make mocking out requests much easier

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/cassette/*.py
%{python3_sitelib}/%{sname}/cassette/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/fixtures/*.py
%{python3_sitelib}/%{sname}/fixtures/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/matchers/*.py
%{python3_sitelib}/%{sname}/matchers/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/serializers/*.py
%{python3_sitelib}/%{sname}/serializers/__pycache__/*.pyc
%{python3_sitelib}/%{sname}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
%if %{with tests}
TEST_SELECTOR="						\
		not test_fixtures			\
		and					\
		not test_replays_response_from_cassette	\
		and					\
		not TestPyTestParametrizedFixtures	\
		"
py.test -vk "$TEST_SELECTOR"
%endif

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\

#-----------------------------------------------------------------------------
%changelog
